Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000101RadioSurefeaturepublic2009-04-13 10:162009-04-20 12:03
Reportervekanoid 
Assigned Toadministrator 
PriorityhighSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.8.820 
Target VersionFixed in Version2.0.856 
Summary0000101: Static Global Hotkeys
DescriptionIn audio players like AIMP and winamp is possible to define "global hotkeys" for controling player. That feature will be great in RadioSure. When player is minimized, for example, we could start recording easy with global hotkey combination (ctrl+alt+R), or stop recording without need to maximize player. Customizing that hotkeys will be nice too.

Recommended controls for global hotkeys:
- start play
- stop play
- start recording
- stop recording
- mute on/off
- volume up
- volume down
- maximize player
- minimize player
- play next station in list (forward)
- play prev. station in list (back)
- add current station in favorite
- exit program

Just try to imagine how good will be controling RadioSure by global hotkeys while working on some other program (programing, chating, writing mail...) without need to:
1. take mouse
2. pointing on tray icon
3. click with mouse in tray and get radio in first plan
4. then clicking to control
5. and after that again minimize.
Yes one g.hotkey instad 5 actions. Amazing :)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000107)
vekanoid (reporter)
2009-04-14 20:21
edited on: 2009-04-19 19:54

Importand thing about this is to leave hotkeys customizing fields empty, to avoid conflict with other apps. User will define his own key combinations, cause (Alt+Ctrl+R) is used, for example in some programing tools, for refactor or rename, but (ctrl + any num key) is free. Fore example I use for AIMP player:

(ctrl + Num 0) for toggle maximize/minimize,
(ctrl + Num /) for close player,
(ctrl + Num 1) volume down,
(ctrl + Num 3) volume up,
(ctrl + Num 2) Mute,
(ctrl + Num 5) toggle Play/Pause,
(ctrl + Num 4) Previous,
(ctrl + Num 6) Next,
(ctrl + Num Del) Delete current playing song (ye I hate some songs in my collection :P). This hotkey could be 'Record' for RadioSure, or maybe (ctrl + Num *).
etc.

There is no conflict with visual studio and other windows apps.
I could set all the same for RadioSure, cause both players will not run in same time. You could set it too :P

(0000150)
administrator (administrator)
2009-04-19 23:12
edited on: 2009-04-20 12:02

Fixed in 851.
Current static keys:
(Ctrl + Alt + "H") for toggle hide/show,
(Ctrl + Alt + Num Plus) volume down,
(Ctrl + Alt + Num Minus) volume up,
(Ctrl + Alt + "M") Mute,
(Ctrl + Alt + "P") toggle Play/Stop,
(Ctrl + Alt + "S") Stop,
(ctrl + Alt + "B") Back,
(ctrl + Alt + "N") Next,
(ctrl + Alt + "R") start/stop Recording.

(0000152)
vekanoid (reporter)
2009-04-20 03:22

Sorry, but not good like that :) That hotkeys are in conflict with many programs (especially with visual studio 2008). For example CTRL+ALT+S are Save All in many programs, in Visual Studio that hotkey is "Show server explorer", etc.

Please read carefully my first note on this post. As I wrote, ctrl+ NUM keys are not in conflict (except "ctrl + NUM plus" and "ctrl + NUM minus" which are zoom in Graphic programs like Photoshop). All other keys "CTRL + NUM something" are free.

If you really wish that hotkey choice, then please make option to disable global hotkeys (cause someone use visual studio and listen radio in same time ;)), or make possibility to change hotkey combinations. Both of that options are welcome. Most importand is customizing hotkeys by users wishes. It can be in some next builds...

P.S. start/stop recording is one importand which missing :)
(0000153)
administrator (administrator)
2009-04-20 08:58
edited on: 2009-04-20 09:01

Okay, will change to Alt + Shift for now. Later it will be possible to adjust in options.

Yeah of course "R" is for recording. Just forgot to mention.


- Issue History
Date Modified Username Field Change
2009-04-13 10:16 vekanoid New Issue
2009-04-13 10:59 administrator Status new => acknowledged
2009-04-14 20:21 vekanoid Note Added: 0000107
2009-04-19 13:18 administrator Priority normal => high
2009-04-19 19:54 vekanoid Note Edited: 0000107
2009-04-19 23:12 administrator Note Added: 0000150
2009-04-19 23:13 administrator Status acknowledged => resolved
2009-04-19 23:13 administrator Fixed in Version => 1.9.x
2009-04-19 23:13 administrator Resolution open => fixed
2009-04-19 23:13 administrator Assigned To => administrator
2009-04-19 23:13 administrator Summary Global hotkeys => Static Global Hotkeys
2009-04-19 23:41 administrator Note Edited: 0000150
2009-04-20 03:22 vekanoid Note Added: 0000152
2009-04-20 03:22 vekanoid Status resolved => feedback
2009-04-20 03:22 vekanoid Resolution fixed => reopened
2009-04-20 08:58 administrator Note Added: 0000153
2009-04-20 09:01 administrator Note Edited: 0000153
2009-04-20 12:02 administrator Note Edited: 0000150
2009-04-20 12:03 administrator Status feedback => resolved
2009-04-20 12:03 administrator Resolution reopened => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker